/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import java.util.Date;


/**
 * PC设备管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-26 10:56:47  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "PC设备管理")
public class CdPcDevice extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_deviceName = "deviceName";
  public static final String KEY_domainName = "domainName";
  public static final String KEY_ipAddr = "ipAddr";
  public static final String KEY_macAddr = "macAddr";
  public static final String KEY_osArch = "osArch";
  public static final String KEY_osName = "osName";
  public static final String KEY_ramSize = "ramSize";
  public static final String KEY_width = "width";
  public static final String KEY_height = "height";
  public static final String KEY_location = "location";
  public static final String KEY_jobName = "jobName";
  public static final String KEY_instance = "instance";
  public static final String KEY_promPort = "promPort";
  public static final String KEY_remoteProtocol = "remoteProtocol";
  public static final String KEY_remotePort = "remotePort";
  public static final String KEY_registedTime = "registedTime";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 设备名称<br>
   */
  @ApiModelProperty("设备名称")
  @Size(max = 100, message="设备名称-deviceName: 数据长度不能 > 100" )
  private String deviceName;
  /**
   * 设备域名<br>
   */
  @ApiModelProperty("设备域名")
  @Size(max = 50, message="设备域名-domainName: 数据长度不能 > 50" )
  private String domainName;
  /**
   * ip地址<br>
   */
  @ApiModelProperty("ip地址")
  @Size(max = 20, message="ip地址-ipAddr: 数据长度不能 > 20" )
  private String ipAddr;
  /**
   * mac地址<br>
   */
  @ApiModelProperty("mac地址")
  @Size(max = 50, message="mac地址-macAddr: 数据长度不能 > 50" )
  private String macAddr;
  /**
   * 操作系统架构<br>
   */
  @ApiModelProperty("操作系统架构")
  @Size(max = 100, message="操作系统架构-osArch: 数据长度不能 > 100" )
  private String osArch;

  @ApiModelProperty("操作系统")
  private String osName;

  /**
   * 内存容量<br>
   */
  @ApiModelProperty("内存容量")
  @Size(max = 10, message="内存容量-ramSize: 数据长度不能 > 10" )
  private String ramSize;
  /**
   * 分辨率-宽<br>
   */
  @ApiModelProperty("分辨率-宽")
  @Size(max = 6, message="内存容量-width: 数据长度不能 > 6" )
  private Integer width;
  /**
   * 分辨率-高<br>
   */
  @ApiModelProperty("分辨率-高")
  @Size(max = 6, message="分辨率-高-height: 数据长度不能 > 6" )
  private Integer height;

  @ApiModelProperty("job名称")
  private String jobName;

  @ApiModelProperty("实例")
  private String instance;

  @ApiModelProperty("prometheus端口号")
  private String promPort;
  /**
   * 执行机位置<br>
   */
  @ApiModelProperty("执行机位置")
  @Size(max = 100, message="执行机位置-location: 数据长度不能 > 100" )
  private String location;
  /**
   * 远程协议<br>
   */
  @ApiModelProperty("远程协议")
  @Size(max = 100, message="远程协议-remoteProtocol: 数据长度不能 > 100" )
  private String remoteProtocol;
  /**
   * 远程端口<br>
   */
  @ApiModelProperty("远程端口")
  @Size(max = 10, message="远程端口-remotePort: 数据长度不能 > 10" )
  private String remotePort;
  /**
   * 注册时间<br>
   */
  @ApiModelProperty("注册时间")
  private Date registedTime;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  public String getPromPort() {
    return promPort;
  }

  public void setPromPort(String promPort) {
    this.promPort = promPort;
  }

  public String getJobName() {
    return jobName;
  }

  public void setJobName(String jobName) {
    this.jobName = jobName;
  }

  public String getInstance() {
    return instance;
  }

  public void setInstance(String instance) {
    this.instance = instance;
  }

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 设备名称<br>
   */
  public String getDeviceName()
  {
      return deviceName;
    }

  public Integer getWidth() {
    return width;
  }

  public void setWidth(Integer width) {
    this.width = width;
  }

  public Integer getHeight() {
    return height;
  }

  public void setHeight(Integer height) {
    this.height = height;
  }

  /**
   * 设备名称<br>
   *
   * @param deviceName 设备名称
   */
  public void setDeviceName(String deviceName)
  {
      this.deviceName = deviceName;
    }
  /**
   * 设备域名<br>
   */
  public String getDomainName()
  {
      return domainName;
    }

  /**
   * 设备域名<br>
   *
   * @param domainName 设备域名
   */
  public void setDomainName(String domainName)
  {
      this.domainName = domainName;
    }
  /**
   * ip地址<br>
   */
  public String getIpAddr()
  {
      return ipAddr;
    }

  /**
   * ip地址<br>
   *
   * @param ipAddr ip地址
   */
  public void setIpAddr(String ipAddr)
  {
      this.ipAddr = ipAddr;
    }
  /**
   * mac地址<br>
   */
  public String getMacAddr()
  {
      return macAddr;
    }

  /**
   * mac地址<br>
   *
   * @param macAddr mac地址
   */
  public void setMacAddr(String macAddr)
  {
      this.macAddr = macAddr;
    }
  /**
   * 操作系统架构<br>
   */
  public String getOsArch()
  {
      return osArch;
    }

  /**
   * 操作系统架构<br>
   *
   * @param osArch 操作系统架构
   */
  public void setOsArch(String osArch)
  {
      this.osArch = osArch;
    }

  public String getOsName() {
    return osName;
  }

  public void setOsName(String osName) {
    this.osName = osName;
  }

  /**
   * 内存容量<br>
   */
  public String getRamSize()
  {
      return ramSize;
    }

  /**
   * 内存容量<br>
   *
   * @param ramSize 内存容量
   */
  public void setRamSize(String ramSize)
  {
      this.ramSize = ramSize;
    }
  /**
   * 执行机位置<br>
   */
  public String getLocation()
  {
      return location;
    }

  /**
   * 执行机位置<br>
   *
   * @param location 执行机位置
   */
  public void setLocation(String location)
  {
      this.location = location;
    }
  /**
   * 远程协议<br>
   */
  public String getRemoteProtocol()
  {
      return remoteProtocol;
    }

  /**
   * 远程协议<br>
   *
   * @param remoteProtocol 远程协议
   */
  public void setRemoteProtocol(String remoteProtocol)
  {
      this.remoteProtocol = remoteProtocol;
    }

  public String getRemotePort() {
    return remotePort;
  }

  public void setRemotePort(String remotePort) {
    this.remotePort = remotePort;
  }

  /**
   * 注册时间<br>
   */
  public Date getRegistedTime()
  {
      if(registedTime != null)
    {
      return (Date)registedTime.clone();
    }
    return null;
    }

  /**
   * 注册时间<br>
   *
   * @param registedTime 注册时间
   */
  public void setRegistedTime(Date registedTime)
  {
      if(registedTime != null)
    {
      this.registedTime = (Date)registedTime.clone();
    }
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public CdPcDevice()
  {
  }

}
